#media-container {
  max-width: 1100px;
  margin: 60px auto 100px;
  padding: 0 16px;
  box-sizing: content-box;
  position: relative;
}
#media-container .simple-control {
  display: none;
}
#media-container .media-label {
  font-size: 28px;
  font-family: var(--font-family-heading);
  font-weight: 600;
}
#media-container .media-actions {
  margin-top: 26px;
  display: flex;
  justify-content: space-between;
}
#media-container .media-actions .action {
  cursor: pointer;
  font-size: 18px;
  font-weight: 600;
  display: flex;
  gap: 11px;
  align-items: center;
}
#media-container .media-actions .action:before {
  content: "";
  display: block;
  height: 36px;
  width: 36px;
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
}
#media-container .action.download-all:before {
  background-image: url(/templates/images/icon-download-all.svg);
}
#media-container .action.download-all svg {
  display: none;
  height: 36px;
  width: 36px;
}
#media-container .action.download-all.in-progress:before {
  display: none;
}
#media-container .action.download-all.in-progress svg {
  border: 4px solid #F26446;
  border-radius: 99999px;
  display: block;
}
#media-container .action.play-all:before {
  background-image: url(/templates/images/icon-play-all.svg);
}
#media-container .action.play-all.in-progress:before {
  background-image: url(/templates/images/icon-pause-all.svg);
}
#media-container table {
  border-collapse: separate;
  border-spacing: 0 16px;
  margin-top: 15px;
  width: 100%;
}
#media-container td {
  padding: 10px 10px;
  box-sizing: content-box;
}
#media-container tr td:first-child {
  padding-left: 24px;
}
#media-container tr td:last-child {
  padding-right: 24px;
}
#media-container tr td:nth-child(5n) {
  padding-left: 40px;
}
#media-container .media-item {
  background-color: #f9faf9;
  height: 66px;
  border-radius: 2px;
}
#media-container .media-item .play {
  position: relative;
  font-size: 13.4px;
  width: 12px;
  cursor: pointer;
}
#media-container .media-item .play .number {
  display: none;
}
#media-container .media-item .play:after {
  content: "";
  display: block;
  width: 0;
  height: 0;
  border-top: 0.5em solid transparent;
  border-bottom: 0.5em solid transparent;
  border-left: 0.866em solid #0d3164;
}
#media-container .media-item .play[playing]:before {
  content: "";
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  background-image: url(/templates/images/icon-pause.svg);
  position: absolute;
  margin: auto;
  max-width: 9px;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  width: 12px;
  height: 12px;
}
#media-container .media-item .play[playing]:after {
  display: none;
}
#media-container .media-item .name {
  color: #0d3164;
  font-size: 18px;
  font-weight: 700;
  cursor: pointer;
  display: inherit;
}
#media-container .media-item .time {
  font-size: 14px;
  font-weight: 400;
  min-width: 100px;
}
#media-container .media-item .schedule {
  background-color: #c2c2c3;
  height: 4px;
  border-radius: 28px;
  min-width: 100px;
  position: relative;
  cursor: pointer;
}
#media-container .media-item .schedule:after {
  width: var(--progress, 0%);
  border-radius: 28px;
  display: block;
  content: "";
  position: absolute;
  height: 100%;
  background-color: #0d3164;
}
#media-container .media-item .download {
  width: 20px;
  height: 24px;
  margin: 0 auto;
  cursor: pointer;
  display: flex;
}
#media-container .media-item .download svg {
  width: 100%;
  height: 100%;
}
#media-container .media-item .download.already svg path {
  fill: #F26446;
}
#media-container .media-item .volume {
  width: 110px;
  display: flex;
  gap: 12px;
  align-items: center;
}
#media-container .media-item .volume:before {
  content: "";
  display: block;
  width: 28px;
  height: 28px;
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center;
  background-image: url(/templates/images/icon-volmue.svg);
}
#media-container .media-item input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  cursor: pointer;
  outline: none;
  border-radius: 16px;
  padding: 0;
  border: 0;
  background-color: transparent;
  height: 4px;
  flex: 1;
}
#media-container .media-item input[type="range"]::-webkit-slider-runnable-track {
  height: 4px;
  background: #ccc;
  border-radius: 16px;
}
#media-container .media-item input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  height: 12px;
  width: 12px;
  border-radius: 999px;
  background: #6d6e71;
  transform: translate(0, -4px);
  cursor: pointer;
  margin-top: 0;
}
#media-container .media-item input[type="range"]::-moz-range-track {
  height: 4px;
  background: #ccc;
  border-radius: 16px;
}
#media-container .media-item input[type="range"]::-moz-range-thumb {
  -webkit-appearance: none;
  appearance: none;
  height: 12px;
  width: 12px;
  border-radius: 999px;
  background: #6d6e71;
}
@media (max-width: 768px) {
  #media-container {
    margin-top: 0;
    font-size: 6vw;
    padding-bottom: 3.3em;
  }
  #media-container .simple-control {
    font-size: 6vw;
    position: absolute;
    width: calc(100% - 32px);
    bottom: 0;
    background-color: #daeadc;
    justify-content: space-between;
    padding: 0.375em;
    gap: 0.41em;
  }
  #media-container .simple-control .name {
    font-size: 0.58em;
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  #media-container .simple-control .actions {
    gap: 0.7em;
    font-size: 0.5em;
    display: flex;
    position: relative;
  }
  #media-container .simple-control .actions .pre,
  #media-container .simple-control .actions .next {
    width: 1.04em;
    cursor: pointer;
  }
  #media-container .simple-control .actions .pre:before,
  #media-container .simple-control .actions .pre:after,
  #media-container .simple-control .actions .next:before,
  #media-container .simple-control .actions .next:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-top: 0.5em solid transparent;
    border-bottom: 0.5em solid transparent;
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
  }
  #media-container .simple-control .actions .pre:before,
  #media-container .simple-control .actions .pre:after {
    border-right: 0.866em solid #0d3164;
  }
  #media-container .simple-control .actions .next:before,
  #media-container .simple-control .actions .next:after {
    border-left: 0.866em solid #0d3164;
  }
  #media-container .simple-control .actions .pre[disabled]:before,
  #media-container .simple-control .actions .pre[disabled]:after,
  #media-container .simple-control .actions .next[disabled]:before,
  #media-container .simple-control .actions .next[disabled]:after {
    border-left-color: #d1d1d1;
    border-right-color: #d1d1d1;
  }
  #media-container .simple-control .actions .pre:before {
    left: 0;
  }
  #media-container .simple-control .actions .pre:after {
    left: 0.214em;
  }
  #media-container .simple-control .actions .next:before {
    right: 0;
  }
  #media-container .simple-control .actions .next:after {
    right: 0.214em;
  }
  #media-container .simple-control .actions .play {
    width: 0.85em;
    cursor: pointer;
  }
  #media-container .simple-control .actions .play:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-top: 0.5em solid transparent;
    border-bottom: 0.5em solid transparent;
    border-left: 0.866em solid #0d3164;
    top: 0;
    bottom: 0;
    margin: auto;
    position: absolute;
  }
  #media-container .simple-control .actions .play[playing]:before {
    content: "";
    display: block;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-image: url(/templates/images/icon-pause.svg);
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: 0.9em;
    height: 0.9em;
  }
  #media-container .simple-control .actions .play[playing]:after {
    display: none;
  }
  #media-container .simple-control .time {
    font-size: 0.58em;
    width: 6.8em;
    text-align: right;
  }
  #media-container .simple-control.show-control {
    display: flex;
  }
  #media-container .media-label {
    display: block;
    background-color: #95c99f;
    margin-left: -16px;
    margin-right: -16px;
    font-size: 0.8em;
    padding: 8px 16px;
  }
  #media-container .media-actions {
    margin-top: 0.83em;
  }
  #media-container .media-actions .action {
    font-size: 0.75em;
  }
  #media-container .media-actions .action:before {
    height: 1.125em;
    width: 1.125em;
  }
  #media-container .media-actions .action svg {
    height: 1.125em;
    width: 1.125em;
  }
  #media-container .media-actions .action.download-all.in-progress svg {
    border: 0.1em solid #F26446;
  }
  #media-container .media-list {
    border-top: 1px solid #193160;
    margin-top: 0.83em;
  }
  #media-container .media-item {
    height: 1.5em;
    background-color: unset;
  }
  #media-container .media-item .name {
    font-size: 0.58em;
    font-weight: 400;
  }
  #media-container .media-item .download {
    height: 0.75em;
    width: 0.6em;
    display: flex;
  }
  #media-container .media-item .download svg path {
    fill: #DAEADC;
  }
  #media-container .media-item .download.already svg path {
    fill: var(--color-primary);
  }
  #media-container .media-item .play {
    width: auto;
    text-align: center;
  }
  #media-container .media-item .play:after {
    display: none;
  }
  #media-container .media-item .play .number {
    display: block;
    color: #95c99f;
  }
  #media-container .media-item .play[playing] .number {
    visibility: hidden;
  }
  #media-container table {
    border-spacing: 0;
  }
  #media-container tr td {
    padding: 0.41em;
    border-bottom: 1px solid #e5e5e5;
  }
  #media-container tr td:first-child {
    padding-left: 0.41em;
  }
  #media-container tr td:nth-child(3),
  #media-container tr td:nth-child(4),
  #media-container tr td:nth-child(6) {
    display: none;
  }
  #media-container tr td:nth-child(2) {
    width: 100%;
  }
  #media-container tr td:nth-child(5) {
    padding-left: 10px;
  }
}
